Method: networks.customTargetingValues.batchUpdate

Batch updates CustomTargetingValue objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/customTargetingValues:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of CustomTargetingValues. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateCustomTargetingValueRequest)
    }
  ]
}
Fields
requests[]

object (UpdateCustomTargetingValueRequest)

Required. The CustomTargetingValue objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for customTargetingValues.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "customTargetingValues": [
    {
      object (CustomTargetingValue)
    }
  ]
}
Fields
customTargetingValues[]

object (CustomTargetingValue)

The CustomTargetingValue objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateCustomTargetingValueRequest

Request object for customTargetingValues.patch method.

JSON representation
{
  "customTargetingValue": {
    object (CustomTargetingValue)
  },
  "updateMask": string
}
Fields
customTargetingValue

object (CustomTargetingValue)

Required. The CustomTargetingValue to update.

The CustomTargetingValue's name is used to identify the CustomTargetingValue to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".